Bug 614728 - Publican does not warn about empty <term>
Summary: Publican does not warn about empty <term>
Status: CLOSED ERRATA
Alias: None
Product: Publican
Classification: Community
Component: publican (Show other bugs)
(Show other bugs)
Version: 1.6
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jeff Fearn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-15 05:52 UTC by Laura Bailey
Modified: 2010-11-24 04:16 UTC (History)
4 users (show)

Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 20:41:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fop error on empty term (12.69 KB, text/plain)
2010-07-15 05:53 UTC, Laura Bailey
no flags Details

Description Laura Bailey 2010-07-15 05:52:25 UTC
Description of problem:
When a <term/> tag is empty, or contains only other tags (<varname/>, etc.), Publican does not complain of an empty tag, but FOP falls over while building the PDF.

Version-Release number of selected component (if applicable):
publican-2.1-0.fc12.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Have a <term/> tag that is empty except for other tags:
<varlistentry>
  <term><varname></varname></term>
  <listitem> ...
or that is just empty:
 <varlistentry>
   <term></term>
   <listitem> ...

2. publican build --langs en-US --formats pdf
  
Actual results:
javax.xml.transform.TransformerException - see output in attached file.

Expected results:
Publican should make mention of the (technically valid) empty tag, or FOP should give a more informative error message.

Additional info:

Comment 1 Laura Bailey 2010-07-15 05:53:48 UTC
Created attachment 431971 [details]
fop error on empty term

Fop error for empty term tag attached.

Comment 2 Jeff Fearn 2010-07-27 05:52:04 UTC
Well it's clearly valid, if crazy, to have an empty term, so the PDF should build.

Fixed PDF build so it doesn't blow up on empty terms.

Fixed in build: 2.1-0%{?dist}.t2

Comment 3 Laura Bailey 2010-07-27 06:05:44 UTC
Thanks, Jeff. :)

Any chance we can get it to warn when it senses something like an empty term? I can't think of a circumstance in which an empty term would be correct, even if it's valid.

Comment 4 Jeff Fearn 2010-07-27 06:29:20 UTC
(In reply to comment #3)
> Thanks, Jeff. :)
> 
> Any chance we can get it to warn when it senses something like an empty term? I
> can't think of a circumstance in which an empty term would be correct, even if
> it's valid.    

I think it would be best to open a discussion upstream to get the DTD changed so that an empty term isn't valid.

Comment 5 Ruediger Landmann 2010-08-06 04:28:44 UTC
Verified in 2.1.t20

PDF builds fine even with an empty <term>

Comment 6 Fedora Update System 2010-10-06 05:48:14 UTC
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13

Comment 7 Fedora Update System 2010-10-06 05:49:32 UTC
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12

Comment 8 Fedora Update System 2010-10-06 05:49:35 UTC
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14

Comment 9 Fedora Update System 2010-10-08 20:39:39 UTC
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.